Store APIsProducts
Delete product
Soft-deletes a product so it can no longer be purchased. Existing order line items remain intact for historical reference. Requires the PRODUCTS_WRITE scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48productId*string
Length
12 <= length <= 48Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
curl -X DELETE "https://example.com/stores/stringstring/products/stringstring"{ "ok": true, "data": { "deleted": true }}